/*----------------------------------------------------------------------------
Copyright (c)2000 TogetherSoft Corporation. Patents pending. All rights reserved.
----------------------------------------------------------------------------*/

package ManuMgmt.ProductionRequest;

import java.util.Date;
import java.util.Vector;
import java.math.BigDecimal;

/** 
 * @author TogetherSoft
 * @stereotype moment-interval */
public class ProductionRequest {
    public void makeProductionRequest() {
    }

    public void addDetail() {
    }

    public void complete() {
    }

    public void cancel() {
    }

    public boolean mi_isFulfilled() {
        return false;
    }

    public BigDecimal mi_estimatePercentComplete() {
        return new BigDecimal(0);
    }

    /**  */
    public Vector mi_assessSatisfactionOfRequest() {
        return new Vector();
    }

    public Vector mi_rankByPriorityThenDateNeeded() {
        return new Vector();
    }

    public static Vector rankAllByPriorityThenDateNeeded() {
        return new Vector();
    }

    public static Vector listProductionRequests() {
        return new Vector();
    }

    private String number;
    private Date date;

    /**
     *@shapeType AggregationLink
     *     @associates <b>ProductionRequestDetail</b>
     * @supplierCardinality 1..*
     * @clientCardinality 1
     */
    private Vector lnkUnnamed1;
    private int priority;

    /** @supplierCardinality 1 */
    private IMakeProductionRequest lnkUnnamed2;
    private int status;
}


